package Package1;

public class MIDIPitch1 {

    public static void main(String[] args) {
        if (args.length != 1) {
            System.out.println("Numero di argomenti errato, uso: MIDIPitch nota");
            System.exit(1);
        }
        int pitch = -1;
        try {
            pitch = Integer.parseInt(args[0]);
        } catch (NumberFormatException e) {
            System.out.println("Valore di pitch errato ('" + pitch + "'). Il valore deve essere compreso tra 0 e 127");
            System.exit(1);
        }
        if (pitch < 0 || pitch > 127) {
            System.out.println("Valore di pitch errato. Il valore deve essere compreso tra 0 e 127");
            System.exit(1);
        }
        switch (pitch % 12) {
            case 0:
            case 1:
                System.out.println("Do");
                break;
            case 2:
            case 3:
                System.out.println("Re");
                break;
            case 4:
                System.out.println("Mi");
                break;
            case 5:
            case 6:
                System.out.println("Fa");
                break;
            case 7:
            case 8:
                System.out.println("Sol");
                break;
            case 9:
            case 10:
                System.out.println("La");
                break;
            case 11:
                System.out.println("Si");
                break;
        }
    }
}
